<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Assign' }) %>
<body>

    <%- include('partials/navbar.ejs') %>

    <main>
        <form method="POST" name="StudentJoin" action="/assign/studentJoinOrLeave">
                
            <label for="subjectid">Subject Id: </label>
            <select name="subjectid" id="subjectid">
                <% subjects.forEach(subject => { %>
                    <option value="<%= subject.subjectid %>"><%= subject.subjectid %></option>
                <% }) %>
            </select>
            <br>

            <label for="studentid">Student Id: </label>
            <!-- <input id="studentid" type="text" name="studentid" placeholder="Student Id" required> -->
            <select name="studentid" id="studentid">
                <% users.forEach(user => { %>
                    <option value="<%= user.userId %>"><%= user.userId %></option>
                <% }) %>
            </select>
            <br>

            <label for="joinOrLeave">Join/Leave:</label>
            <select id="joinOrLeave" name="joinOrLeave">
                <option value="join">Join</option>
                <option value="leave">Leave</option>
            </select>
            <br>

            <input id="idSubmitButton" name="idSubmitButton" type="submit" value="Submit">
        </form>
        <br>
        <% if ( locals.succes ) { %>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>Succes</strong> <%= succes %>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <% } %>

        <% if ( locals.error ) { %>
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>Error</strong> <%= error %>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <% } %>
    </main>
    
</body>
</html>